<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gri="http://java.sun.com/jsf/composite/gri">
    <s:div styleClass="row" columns="3" id="responseGrid">
        <gri:panel pid="responseParsing" rendered="#{providerInformationConsumer.batchResponse != null}">
            <f:facet name="header">#{messages['net.ihe.gazelle.hpd.Response']}</f:facet>
            <a4j:repeat value="#{providerInformationConsumer.batchResponse.searchResponse}"
                        var="searchResponse">
                <gri:panel>
                    <f:facet name="header">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.hpd.SearchResponserequestID']} #{searchResponse.requestID})"/>
                    </f:facet>
                    <div class="gzl-alert gzl-alert-blue">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.hpd.ThisSearchHasReturned']} #{searchResponse.searchResultEntry.size()} #{messages['net.ihe.gazelle.hpd.ResultEntries']}"/>
                    </div>
                    <a4j:repeat value="#{searchResponse.searchResultEntry}" var="entry">
                        <dl class="dl-horizontal">
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.hpd.DN']}</ui:define>
                                <h:outputText value="#{entry.dn}" style="font-weight:bold;"/>
                                <a4j:commandLink
                                        title="#{messages['net.ihe.gazelle.hpd.DeleteThisEntryFromRepository']}"
                                        id="delEntry"
                                        actionListener="#{providerInformationConsumer.deleteEntry(entry.dn)}"
                                        render="responseGrid">
                                    <s:span styleClass="gzl-icon-trash-o"/>
                                </a4j:commandLink>
                                <a4j:commandLink
                                        title="#{messages['net.ihe.gazelle.hpd.AddThisEntryToAnotherRepository']}"
                                        actionListener="#{providerInformationConsumer.addEntry(entry)}"
                                        render="responseGrid">
                                    <s:span styleClass="gzl-icon-plus"/>
                                </a4j:commandLink>
                            </s:decorate>
                        </dl>
                            <rich:dataTable rendered="#{not empty entry.attr}" value="#{entry.attr}"
                                            var="attribute">
                                <g:column>
                                    <ui:define name="header">
                                        #{messages['net.ihe.gazelle.hpd.AttributesName']}
                                    </ui:define>
                                    <div class="row">
                                        <div class="col-md-8">
                                            <h:outputText value="#{attribute.name}" style="font-weight:bold;"/>
                                        </div>
                                        <div class="col-md-2 gzl-never-wrap">
                                            <a4j:commandLink
                                                    title="#{messages['net.ihe.gazelle.hpd.ReplaceAttributeValues']}"
                                                    id="replaceIcon"
                                                    render="responseGrid"
                                                    actionListener="#{providerInformationConsumer.replaceValue(entry.dn, attribute)}">
                                                <s:span styleClass="gzl-icon-pencil"/>
                                            </a4j:commandLink>
                                            <a4j:commandLink
                                                    title="#{messages['net.ihe.gazelle.hpd.AddAValueToThisAttribute']}"
                                                    id="addIcon"
                                                    render="responseGrid"
                                                    actionListener="#{providerInformationConsumer.addValue(entry.dn, attribute)}">
                                                <s:span styleClass="gzl-icon-plus"/>
                                            </a4j:commandLink>
                                        </div>
                                    </div>
                                </g:column>
                                <g:column>
                                    <ui:define name="header">#{messages['net.ihe.gazelle.hpd.Values']})
                                    </ui:define>
                                    <a4j:repeat value="#{attribute.value}" var="val">
                                        <div class="row">
                                            <div class="col-md-8">
                                                <h:outputText value="#{val}"/>
                                            </div>
                                            <div class="col-md-2">
                                                <a4j:commandLink
                                                        title="#{messages['net.ihe.gazelle.hpd.DeleteThisValue']}"
                                                        id="delIcon"
                                                        render="responseGrid"
                                                        actionListener="#{providerInformationConsumer.deleteValue(entry.dn, attribute, val)}">
                                                    <s:span styleClass="gzl-icon-trash-o"/>
                                                </a4j:commandLink>
                                            </div>
                                        </div>
                                    </a4j:repeat>
                                </g:column>
                            </rich:dataTable>
                            <br/>
                        <br/>
                    </a4j:repeat>
                </gri:panel>
            </a4j:repeat>
        </gri:panel>
        <gdk:spacer width="10px"/>
        <gri:panel pid="newRequestPanel" rendered="#{not empty providerInformationConsumer.newRequests}">
            <f:facet name="header">#{messages['net.ihe.gazelle.hpd.ProviderInformationFeedRequest']}
            </f:facet>
            <rich:list value="#{providerInformationConsumer.newRequests}" var="req" type="unordered">
                <h:outputText value="#{req.index} - #{req.requestType}"/>
            </rich:list>
            <f:facet name="footer">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.hpd.SendRequest']}"
                                   actionListener="#{providerInformationConsumer.sendNewRequest()}"
                                   render="globalDiv" styleClass="gzl-btn-blue"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.hpd.ModifyRequest']}"
                                   action="#{providerInformationConsumer.modifyNewRequest()}"
                                   styleClass="gzl-btn-orange"/>
            </f:facet>
        </gri:panel>
    </s:div>
</ui:composition>